package ch.bbw.pr.tresorbackend.service;

import lombok.Value;
import org.bouncycastle.util.encoders.Hex;
import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;
import org.springframework.stereotype.Service;

import java.security.SecureRandom;

/**
 * PasswordEncryptionService
 *
 * @author Peter Rutschmann
 */
@Service
public class PasswordEncryptionService {

    public PasswordEncryptionService() {
        //todo anpassen!
    }

    public static String generateSalt() {
        byte[] salt = new byte[5];
        new SecureRandom().nextBytes(salt);
        return Hex.toHexString(salt);
    }

    public String hashPassword(String password, String salt) {
        BCryptPasswordEncoder encoder = new BCryptPasswordEncoder();
        String pepper = new PepperService().getPepper();

        return encoder.encode(pepper + password );
    }
}

record PasswordBean(String hashedPassword, String Salt) {
}